fgl-5.4.2.4: Martin Erwig's Functional Graph Library

Safe Haskell | None

Data.Graph.Inductive.Internal.Queue

Contents

- Type
- Operations

Synopsis

- data Queue a = MkQueue [a] [a]
- mkQueue :: Queue a
- queuePut :: a -> Queue a -> Queue a
- queuePutList :: [a] -> Queue a -> Queue a
- queueGet :: Queue a -> (a, Queue a)
- queueEmpty :: Queue a -> Bool

# Type

data Queue a Source

Constructors

MkQueue [a] [a] |

# Operations

mkQueue :: Queue aSource

queuePut :: a -> Queue a -> Queue aSource

queuePutList :: [a] -> Queue a -> Queue aSource

queueGet :: Queue a -> (a, Queue a)Source

queueEmpty :: Queue a -> Bool Source